# Path on the control node

BBX_INSTALL_PATH=/mnt/beetleboxci
CONTROL_NODE_FQDN=work1-virtualbox

# File storage
BBX_DEPLOY_NODE="work1-virtualbox"
BBX_DEPLOY_NODE_IP=10.0.2.15

# For multi-node clusters, we recommend setting the NFS_SERVER to the same value as the NFS_SERVER_FQDN. 
# For single node clusters, you may use the NFS_SERVER_IP if the IP is static, otherwise use the NFS_SERVER_FQDN
# This parameter is used by BeetleboxCI containers to access the NFS
# The NFS_SERVER may or may not be part of the Kubernetes cluster

NFS_SERVER=work1-virtualbox.local

# On a a single-node installation where the NFS is on the same machine as BeetleboxCI, set this to [NFS_SERVER_NAME].local
NFS_SERVER_FQDN=work1-virtualbox.local

NFS_SERVER_NAME=work1-virtualbox
NFS_SERVER_IP=10.0.2.15

NFS_SOURCE_PATH=/mnt/bbxnfs/nfs/


# THe BeetleboxCI installation uses this url to issue https requests to the registry. In most cases, this can be set to the FQDN, or the IP if it is static
REGISTRY_URL=work1-virtualbox.local

# On a a single-node installation where the registry is on the same machine as BeetleboxCI, set this to [REGISTRY_NODE_NAME].local 
REGISTRY_FQDN=work1-virtualbox.local

REGISTRY_NODE_NAME=work1-virtualbox
REGISTRY_IP=10.0.2.15


# The path on the REGISTRY NODE where the image data will be stored
REGISTRY_NODE_PATH=/mnt/bbxreg/

# The path on the CONTROL NODE where the registry certificates from the registry node are stored. 
# The certificates need to be manually copied to every node that needs to acccess the registry
# We recommend keeping file paths the same across nodes for consistency in multi-node clusters
# For single node clusters, this value will be the same as the REGISTRY_NODE_PATH
REGISTRY_CERT_PATH=/mnt/bbxreg/