document.addEventListener('DOMContentLoaded', async () => {
  
  const subscribeYes = document.querySelector('#subscribe');
  
  subscribeYes.addEventListener('click', async (e) => {
    e.preventDefault();

    const {customer} = await fetch(create_customer, {
      method: 'post',
      headers: {
        'Content-Type': 'application/json',
        'X-CSRFToken': getCookie('csrftoken'),
        
      },
      credentials: 'same-origin',
      body: JSON.stringify({
        email: '',
      }),
    }).then(r => r.json())
    .then((data) => {
      
      if(data.error) {
        alert(data.error.message); 
        
        console.error('Error:', data.error);

      }     
      else{
        window.location.href = prices;
      }
      
    })    ;



  });

});

function getCookie(name) {
    let cookieValue = null;
    if (document.cookie && document.cookie !== '') {
        const cookies = document.cookie.split(';');
        for (let i = 0; i < cookies.length; i++) {
            const cookie = cookies[i].trim();
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                break;
            }
        }
    }
    return cookieValue;
}