import React from 'react';
import ReactDOM from "react-dom";
import styled from "styled-components";

export default class Editor extends React.Component {
      constructor(props) {
        super(props);
        console.log("handle change" + this.props.code);
        this.code= props.code
      }
      
    handleChange = event => {
        console.log("handle change" + this.props.code);
        this.code= this.props.code;
    };
    
    render(){
    const style={
        fontFamily: '"Fira code", "Fira Mono", monospace',
        fontSize: 12,
      };
    const padding=10;
    const contentStyle = {
      paddingTop: padding,
      paddingRight: padding,
      paddingBottom: padding,
      paddingLeft: padding,
    };
    this.code= this.props.code
     return (
      <div style={{ ...styles.container, ...style }}>
      <div className="row">
        <div className="col-md-3">
        <textarea className="rownr" style={{...styles.editor, ...contentStyle}}
        
        cols="3" value="1&#13;&#10;2&#13;&#10;3&#13;&#10;4" readonly></textarea>
        </div>
        <textarea
          ref={c => (this._input = c)}
          style={{
            ...styles.editor,
            ...styles.textarea,
            ...contentStyle,
          }}
          className="TestEditor"
          autoCapitalize="off"
          autoComplete="off"
          autoCorrect="off"
          onChange={this.handleChange}
          spellCheck={false}
          data-gramm={false}
          readonly
        />
        <pre
          className="pre_editor"
          aria-hidden="true"
          style={{ ...styles.editor, ...styles.highlight, ...contentStyle }}
        >{this.code}
        </pre>
        {/* eslint-disable-next-line react/no-danger */}
        <style type="text/css"/>
      </div>
       </div>
      );
    }
}

const styles = {
  container: {
    position: 'relative',
    display: 'flex',
    textAlign: 'left',
    boxSizing: 'border-box',
    padding: 0,
    overflow: 'hidden',
  },
  
  textarea: {
    position: 'absolute',
    top: 0,
    left: 0,
    height: '100%',
    width: '100%',
    resize: 'none',
    color: 'inherit',
    overflow: 'hidden',
    backgroundColor: 'rgba(0,0,0, 0.1)',
    MozOsxFontSmoothing: 'grayscale',
    WebkitFontSmoothing: 'antialiased',
    WebkitTextFillColor: 'transparent',
  },
  highlight: {
    position: 'relative',
    pointerEvents: 'none',
  },
  editor: {
    margin: 0,
    border: 0,
    background: 'none',
    boxSizing: 'inherit',
    display: 'inherit',
    fontFamily: 'inherit',
    fontSize: 'inherit',
    fontStyle: 'inherit',
    fontVariantLigatures: 'inherit',
    fontWeight: 'inherit',
    letterSpacing: 'inherit',
    lineHeight: 'inherit',
    tabSize: 'inherit',
    textIndent: 'inherit',
    textRendering: 'inherit',
    textTransform: 'inherit',
    whiteSpace: 'pre-wrap',
    wordBreak: 'keep-all',
    overflowWrap: 'break-word',
  },
};