import React from 'react';
import ReactDOM from "react-dom";

import WorkflowView from "./workflowview.js";
import JobView from "./jobview.js";
// import PipelineSettingView from "./pipelinesettingview.js";
import PipelineView from "./pipelineview.js";
import DashboardView from "./dashboardview.js"
import PipelinesView from "./pipelinesview.js"
import ConfigEditorView from "./configeditorview.js"
import DeviceEditorView from "./deviceeditorview.js"
import ImageView from "./imageview.js"
import DeviceView from "./deviceview.js"



class ViewRouter extends React.Component {
  render() {
    
    if (this.props.page=='jobview'){
      return (<JobView />);}
    else if (this.props.page=='workflowview'){
      return (<WorkflowView />);}
    else if (this.props.page=='pipelineview'){
      return (<PipelineView />);}
    // else if (this.props.page=='pipelinesettingview'){
    //   return (<PipelineSettingView />);}
    else if (this.props.page=='dashboardview'){
      return (<DashboardView />);}
    else if (this.props.page=='pipelinesview'){
      return (<PipelinesView />);}
    else if (this.props.page=='configeditorview'){
      return (<ConfigEditorView />);}      
      else if (this.props.page=='deviceeditorview'){
        return (<DeviceEditorView />);}        
    else if (this.props.page=='imageview'){
      return (<ImageView />);}  
    else if (this.props.page=='deviceview'){
      return (<DeviceView />);}            
  }
}

const el = document.getElementById('root');

ReactDOM.render(
  <ViewRouter page={el.getAttribute('page')}/>,
  el
);